'''
Version 3 on March 26, 2018
Version 2 on November 1, 2015
Original: Oct 24, 2012

@author: ola
'''

import csv
import operator

def readandprocess(name):
    csvf = open(name, 'r', encoding='utf-8')
    freader = csv.reader(csvf,delimiter=',',quotechar='"')
    header =  next(freader)
    print("header row labels",header)
    data = {}
    for row in freader:
        artist = row[2]
        song = row[1]
        if artist not in data:
            data[artist] = 0
        data[artist] += 1

    best = sorted(data.items(),key=operator.itemgetter(1))
    print(best[-10:])

if __name__ == '__main__':
    readandprocess("data/top1000.csv")
